﻿using System.ComponentModel;
using System.Windows.Controls;

namespace HtmlTextBlockAndDataBinding
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            Change.Click += delegate
            {
                ((Data)Root.Resources["Data"]).FontSize += 2;
            };
        }
    }

    public class Data : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public string String { get { return "This is a <strong>sample</strong> <em>string</em>."; } }

        public string[] Strings { get { return new string[] { "I am <strong>strong</strong>", "I am <em>emphasized</em>" }; } }

        private double _fontSize = 14;
        public double FontSize
        {
            get { return _fontSize; }
            set
            {
                _fontSize = value;
                PropertyChangedEventHandler handler = PropertyChanged;
                if (null != handler)
                {
                    handler.Invoke(this, new PropertyChangedEventArgs("FontSize"));
                }
            }
        }
    }
}
